/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { CHAdminModel } from '../models';
import { CHAdminsModel } from '../models';
import { CreateCHAdminCommand } from '../models';
import { Gender } from '../models';
import { UpdateCHAdminCommand } from '../models';
/**
 * CHAdminsApi - axios parameter creator
 * @export
 */
export declare const CHAdminsApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Delete CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {string} cHAdminId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsCHAdminIdDelete: (cHAdminId: string, isPermanent?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {string} cHAdminId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsCHAdminIdGet: (cHAdminId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {string} cHAdminId
     * @param {UpdateCHAdminCommand} [updateCHAdminCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsCHAdminIdPut: (cHAdminId: string, updateCHAdminCommand?: UpdateCHAdminCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all CHAdmins. (Auth policies: RequireAdministratorRole)
     * @param {string} [id]
     * @param {string} [fullname]
     * @param {string} [email]
     * @param {Gender} [gender]
     * @param {Date} [dateOfBirth]
     * @param {Date} [created]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsGet: (id?: string, fullname?: string, email?: string, gender?: Gender, dateOfBirth?: Date, created?: Date, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {CreateCHAdminCommand} [createCHAdminCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsPost: (createCHAdminCommand?: CreateCHAdminCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * CHAdminsApi - functional programming interface
 * @export
 */
export declare const CHAdminsApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Delete CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {string} cHAdminId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsCHAdminIdDelete(cHAdminId: string, isPermanent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {string} cHAdminId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsCHAdminIdGet(cHAdminId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CHAdminModel>>;
    /**
     *
     * @summary Update CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {string} cHAdminId
     * @param {UpdateCHAdminCommand} [updateCHAdminCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsCHAdminIdPut(cHAdminId: string, updateCHAdminCommand?: UpdateCHAdminCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CHAdminModel>>;
    /**
     *
     * @summary Get all CHAdmins. (Auth policies: RequireAdministratorRole)
     * @param {string} [id]
     * @param {string} [fullname]
     * @param {string} [email]
     * @param {Gender} [gender]
     * @param {Date} [dateOfBirth]
     * @param {Date} [created]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsGet(id?: string, fullname?: string, email?: string, gender?: Gender, dateOfBirth?: Date, created?: Date, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CHAdminsModel>>;
    /**
     *
     * @summary Create a CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {CreateCHAdminCommand} [createCHAdminCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsPost(createCHAdminCommand?: CreateCHAdminCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CHAdminModel>>;
};
/**
 * CHAdminsApi - factory interface
 * @export
 */
export declare const CHAdminsApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Delete CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {string} cHAdminId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsCHAdminIdDelete(cHAdminId: string, isPermanent?: boolean, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {string} cHAdminId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsCHAdminIdGet(cHAdminId: string, options?: any): AxiosPromise<CHAdminModel>;
    /**
     *
     * @summary Update CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {string} cHAdminId
     * @param {UpdateCHAdminCommand} [updateCHAdminCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsCHAdminIdPut(cHAdminId: string, updateCHAdminCommand?: UpdateCHAdminCommand, options?: any): AxiosPromise<CHAdminModel>;
    /**
     *
     * @summary Get all CHAdmins. (Auth policies: RequireAdministratorRole)
     * @param {string} [id]
     * @param {string} [fullname]
     * @param {string} [email]
     * @param {Gender} [gender]
     * @param {Date} [dateOfBirth]
     * @param {Date} [created]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsGet(id?: string, fullname?: string, email?: string, gender?: Gender, dateOfBirth?: Date, created?: Date, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<CHAdminsModel>;
    /**
     *
     * @summary Create a CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {CreateCHAdminCommand} [createCHAdminCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChadminsPost(createCHAdminCommand?: CreateCHAdminCommand, options?: any): AxiosPromise<CHAdminModel>;
};
/**
 * Request parameters for apiV1ChadminsCHAdminIdDelete operation in CHAdminsApi.
 * @export
 * @interface CHAdminsApiApiV1ChadminsCHAdminIdDeleteRequest
 */
export interface CHAdminsApiApiV1ChadminsCHAdminIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof CHAdminsApiApiV1ChadminsCHAdminIdDelete
     */
    readonly cHAdminId: string;
    /**
     *
     * @type {boolean}
     * @memberof CHAdminsApiApiV1ChadminsCHAdminIdDelete
     */
    readonly isPermanent?: boolean;
}
/**
 * Request parameters for apiV1ChadminsCHAdminIdGet operation in CHAdminsApi.
 * @export
 * @interface CHAdminsApiApiV1ChadminsCHAdminIdGetRequest
 */
export interface CHAdminsApiApiV1ChadminsCHAdminIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof CHAdminsApiApiV1ChadminsCHAdminIdGet
     */
    readonly cHAdminId: string;
}
/**
 * Request parameters for apiV1ChadminsCHAdminIdPut operation in CHAdminsApi.
 * @export
 * @interface CHAdminsApiApiV1ChadminsCHAdminIdPutRequest
 */
export interface CHAdminsApiApiV1ChadminsCHAdminIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof CHAdminsApiApiV1ChadminsCHAdminIdPut
     */
    readonly cHAdminId: string;
    /**
     *
     * @type {UpdateCHAdminCommand}
     * @memberof CHAdminsApiApiV1ChadminsCHAdminIdPut
     */
    readonly updateCHAdminCommand?: UpdateCHAdminCommand;
}
/**
 * Request parameters for apiV1ChadminsGet operation in CHAdminsApi.
 * @export
 * @interface CHAdminsApiApiV1ChadminsGetRequest
 */
export interface CHAdminsApiApiV1ChadminsGetRequest {
    /**
     *
     * @type {string}
     * @memberof CHAdminsApiApiV1ChadminsGet
     */
    readonly id?: string;
    /**
     *
     * @type {string}
     * @memberof CHAdminsApiApiV1ChadminsGet
     */
    readonly fullname?: string;
    /**
     *
     * @type {string}
     * @memberof CHAdminsApiApiV1ChadminsGet
     */
    readonly email?: string;
    /**
     *
     * @type {Gender}
     * @memberof CHAdminsApiApiV1ChadminsGet
     */
    readonly gender?: Gender;
    /**
     *
     * @type {Date}
     * @memberof CHAdminsApiApiV1ChadminsGet
     */
    readonly dateOfBirth?: Date;
    /**
     *
     * @type {Date}
     * @memberof CHAdminsApiApiV1ChadminsGet
     */
    readonly created?: Date;
    /**
     *
     * @type {boolean}
     * @memberof CHAdminsApiApiV1ChadminsGet
     */
    readonly showHidden?: boolean;
    /**
     *
     * @type {number}
     * @memberof CHAdminsApiApiV1ChadminsGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof CHAdminsApiApiV1ChadminsGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof CHAdminsApiApiV1ChadminsGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1ChadminsPost operation in CHAdminsApi.
 * @export
 * @interface CHAdminsApiApiV1ChadminsPostRequest
 */
export interface CHAdminsApiApiV1ChadminsPostRequest {
    /**
     *
     * @type {CreateCHAdminCommand}
     * @memberof CHAdminsApiApiV1ChadminsPost
     */
    readonly createCHAdminCommand?: CreateCHAdminCommand;
}
/**
 * CHAdminsApi - object-oriented interface
 * @export
 * @class CHAdminsApi
 * @extends {BaseAPI}
 */
export declare class CHAdminsApi extends BaseAPI {
    /**
     *
     * @summary Delete CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {CHAdminsApiApiV1ChadminsCHAdminIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CHAdminsApi
     */
    apiV1ChadminsCHAdminIdDelete(requestParameters: CHAdminsApiApiV1ChadminsCHAdminIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {CHAdminsApiApiV1ChadminsCHAdminIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CHAdminsApi
     */
    apiV1ChadminsCHAdminIdGet(requestParameters: CHAdminsApiApiV1ChadminsCHAdminIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CHAdminModel, any>>;
    /**
     *
     * @summary Update CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {CHAdminsApiApiV1ChadminsCHAdminIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CHAdminsApi
     */
    apiV1ChadminsCHAdminIdPut(requestParameters: CHAdminsApiApiV1ChadminsCHAdminIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CHAdminModel, any>>;
    /**
     *
     * @summary Get all CHAdmins. (Auth policies: RequireAdministratorRole)
     * @param {CHAdminsApiApiV1ChadminsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CHAdminsApi
     */
    apiV1ChadminsGet(requestParameters?: CHAdminsApiApiV1ChadminsGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CHAdminsModel, any>>;
    /**
     *
     * @summary Create a CHAdmin. (Auth policies: RequireAdministratorRole)
     * @param {CHAdminsApiApiV1ChadminsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CHAdminsApi
     */
    apiV1ChadminsPost(requestParameters?: CHAdminsApiApiV1ChadminsPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CHAdminModel, any>>;
}
//# sourceMappingURL=chadmins-api.d.ts.map