/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { ContentManagerModel } from '../models';
import { ContentManagersModel } from '../models';
import { CreateContentManagerCommand } from '../models';
import { Gender } from '../models';
import { UpdateContentManagerCommand } from '../models';
/**
 * ContentManagersApi - axios parameter creator
 * @export
 */
export declare const ContentManagersApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Delete ContentManager. (Auth roles: Admin,Manager)
     * @param {string} contentManagerId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersContentManagerIdDelete: (contentManagerId: string, isPermanent?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get ContentManager. (Auth roles: Admin,Manager,ContentManager)
     * @param {string} contentManagerId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersContentManagerIdGet: (contentManagerId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update ContentManager. (Auth roles: Admin,Manager,ContentManager)
     * @param {string} contentManagerId
     * @param {UpdateContentManagerCommand} [updateContentManagerCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersContentManagerIdPut: (contentManagerId: string, updateContentManagerCommand?: UpdateContentManagerCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Reactivate ContentManager. (Auth roles: Admin,Manager)
     * @param {string} contentManagerId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersContentManagerIdReactivatePut: (contentManagerId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all ContentManagers. (Auth roles: Admin,Manager)
     * @param {string} [id]
     * @param {string} [fullname]
     * @param {string} [email]
     * @param {Gender} [gender]
     * @param {Date} [dateOfBirth]
     * @param {Date} [created]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersGet: (id?: string, fullname?: string, email?: string, gender?: Gender, dateOfBirth?: Date, created?: Date, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a ContentManager. (Auth roles: Admin,Manager)
     * @param {CreateContentManagerCommand} [createContentManagerCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersPost: (createContentManagerCommand?: CreateContentManagerCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * ContentManagersApi - functional programming interface
 * @export
 */
export declare const ContentManagersApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Delete ContentManager. (Auth roles: Admin,Manager)
     * @param {string} contentManagerId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersContentManagerIdDelete(contentManagerId: string, isPermanent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get ContentManager. (Auth roles: Admin,Manager,ContentManager)
     * @param {string} contentManagerId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersContentManagerIdGet(contentManagerId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ContentManagerModel>>;
    /**
     *
     * @summary Update ContentManager. (Auth roles: Admin,Manager,ContentManager)
     * @param {string} contentManagerId
     * @param {UpdateContentManagerCommand} [updateContentManagerCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersContentManagerIdPut(contentManagerId: string, updateContentManagerCommand?: UpdateContentManagerCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ContentManagerModel>>;
    /**
     *
     * @summary Reactivate ContentManager. (Auth roles: Admin,Manager)
     * @param {string} contentManagerId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersContentManagerIdReactivatePut(contentManagerId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get all ContentManagers. (Auth roles: Admin,Manager)
     * @param {string} [id]
     * @param {string} [fullname]
     * @param {string} [email]
     * @param {Gender} [gender]
     * @param {Date} [dateOfBirth]
     * @param {Date} [created]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersGet(id?: string, fullname?: string, email?: string, gender?: Gender, dateOfBirth?: Date, created?: Date, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ContentManagersModel>>;
    /**
     *
     * @summary Create a ContentManager. (Auth roles: Admin,Manager)
     * @param {CreateContentManagerCommand} [createContentManagerCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersPost(createContentManagerCommand?: CreateContentManagerCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ContentManagerModel>>;
};
/**
 * ContentManagersApi - factory interface
 * @export
 */
export declare const ContentManagersApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Delete ContentManager. (Auth roles: Admin,Manager)
     * @param {string} contentManagerId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersContentManagerIdDelete(contentManagerId: string, isPermanent?: boolean, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get ContentManager. (Auth roles: Admin,Manager,ContentManager)
     * @param {string} contentManagerId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersContentManagerIdGet(contentManagerId: string, options?: any): AxiosPromise<ContentManagerModel>;
    /**
     *
     * @summary Update ContentManager. (Auth roles: Admin,Manager,ContentManager)
     * @param {string} contentManagerId
     * @param {UpdateContentManagerCommand} [updateContentManagerCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersContentManagerIdPut(contentManagerId: string, updateContentManagerCommand?: UpdateContentManagerCommand, options?: any): AxiosPromise<ContentManagerModel>;
    /**
     *
     * @summary Reactivate ContentManager. (Auth roles: Admin,Manager)
     * @param {string} contentManagerId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersContentManagerIdReactivatePut(contentManagerId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get all ContentManagers. (Auth roles: Admin,Manager)
     * @param {string} [id]
     * @param {string} [fullname]
     * @param {string} [email]
     * @param {Gender} [gender]
     * @param {Date} [dateOfBirth]
     * @param {Date} [created]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersGet(id?: string, fullname?: string, email?: string, gender?: Gender, dateOfBirth?: Date, created?: Date, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<ContentManagersModel>;
    /**
     *
     * @summary Create a ContentManager. (Auth roles: Admin,Manager)
     * @param {CreateContentManagerCommand} [createContentManagerCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ContentmanagersPost(createContentManagerCommand?: CreateContentManagerCommand, options?: any): AxiosPromise<ContentManagerModel>;
};
/**
 * Request parameters for apiV1ContentmanagersContentManagerIdDelete operation in ContentManagersApi.
 * @export
 * @interface ContentManagersApiApiV1ContentmanagersContentManagerIdDeleteRequest
 */
export interface ContentManagersApiApiV1ContentmanagersContentManagerIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof ContentManagersApiApiV1ContentmanagersContentManagerIdDelete
     */
    readonly contentManagerId: string;
    /**
     *
     * @type {boolean}
     * @memberof ContentManagersApiApiV1ContentmanagersContentManagerIdDelete
     */
    readonly isPermanent?: boolean;
}
/**
 * Request parameters for apiV1ContentmanagersContentManagerIdGet operation in ContentManagersApi.
 * @export
 * @interface ContentManagersApiApiV1ContentmanagersContentManagerIdGetRequest
 */
export interface ContentManagersApiApiV1ContentmanagersContentManagerIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof ContentManagersApiApiV1ContentmanagersContentManagerIdGet
     */
    readonly contentManagerId: string;
}
/**
 * Request parameters for apiV1ContentmanagersContentManagerIdPut operation in ContentManagersApi.
 * @export
 * @interface ContentManagersApiApiV1ContentmanagersContentManagerIdPutRequest
 */
export interface ContentManagersApiApiV1ContentmanagersContentManagerIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof ContentManagersApiApiV1ContentmanagersContentManagerIdPut
     */
    readonly contentManagerId: string;
    /**
     *
     * @type {UpdateContentManagerCommand}
     * @memberof ContentManagersApiApiV1ContentmanagersContentManagerIdPut
     */
    readonly updateContentManagerCommand?: UpdateContentManagerCommand;
}
/**
 * Request parameters for apiV1ContentmanagersContentManagerIdReactivatePut operation in ContentManagersApi.
 * @export
 * @interface ContentManagersApiApiV1ContentmanagersContentManagerIdReactivatePutRequest
 */
export interface ContentManagersApiApiV1ContentmanagersContentManagerIdReactivatePutRequest {
    /**
     *
     * @type {string}
     * @memberof ContentManagersApiApiV1ContentmanagersContentManagerIdReactivatePut
     */
    readonly contentManagerId: string;
}
/**
 * Request parameters for apiV1ContentmanagersGet operation in ContentManagersApi.
 * @export
 * @interface ContentManagersApiApiV1ContentmanagersGetRequest
 */
export interface ContentManagersApiApiV1ContentmanagersGetRequest {
    /**
     *
     * @type {string}
     * @memberof ContentManagersApiApiV1ContentmanagersGet
     */
    readonly id?: string;
    /**
     *
     * @type {string}
     * @memberof ContentManagersApiApiV1ContentmanagersGet
     */
    readonly fullname?: string;
    /**
     *
     * @type {string}
     * @memberof ContentManagersApiApiV1ContentmanagersGet
     */
    readonly email?: string;
    /**
     *
     * @type {Gender}
     * @memberof ContentManagersApiApiV1ContentmanagersGet
     */
    readonly gender?: Gender;
    /**
     *
     * @type {Date}
     * @memberof ContentManagersApiApiV1ContentmanagersGet
     */
    readonly dateOfBirth?: Date;
    /**
     *
     * @type {Date}
     * @memberof ContentManagersApiApiV1ContentmanagersGet
     */
    readonly created?: Date;
    /**
     *
     * @type {boolean}
     * @memberof ContentManagersApiApiV1ContentmanagersGet
     */
    readonly showHidden?: boolean;
    /**
     *
     * @type {number}
     * @memberof ContentManagersApiApiV1ContentmanagersGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof ContentManagersApiApiV1ContentmanagersGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof ContentManagersApiApiV1ContentmanagersGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1ContentmanagersPost operation in ContentManagersApi.
 * @export
 * @interface ContentManagersApiApiV1ContentmanagersPostRequest
 */
export interface ContentManagersApiApiV1ContentmanagersPostRequest {
    /**
     *
     * @type {CreateContentManagerCommand}
     * @memberof ContentManagersApiApiV1ContentmanagersPost
     */
    readonly createContentManagerCommand?: CreateContentManagerCommand;
}
/**
 * ContentManagersApi - object-oriented interface
 * @export
 * @class ContentManagersApi
 * @extends {BaseAPI}
 */
export declare class ContentManagersApi extends BaseAPI {
    /**
     *
     * @summary Delete ContentManager. (Auth roles: Admin,Manager)
     * @param {ContentManagersApiApiV1ContentmanagersContentManagerIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ContentManagersApi
     */
    apiV1ContentmanagersContentManagerIdDelete(requestParameters: ContentManagersApiApiV1ContentmanagersContentManagerIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get ContentManager. (Auth roles: Admin,Manager,ContentManager)
     * @param {ContentManagersApiApiV1ContentmanagersContentManagerIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ContentManagersApi
     */
    apiV1ContentmanagersContentManagerIdGet(requestParameters: ContentManagersApiApiV1ContentmanagersContentManagerIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ContentManagerModel, any>>;
    /**
     *
     * @summary Update ContentManager. (Auth roles: Admin,Manager,ContentManager)
     * @param {ContentManagersApiApiV1ContentmanagersContentManagerIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ContentManagersApi
     */
    apiV1ContentmanagersContentManagerIdPut(requestParameters: ContentManagersApiApiV1ContentmanagersContentManagerIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ContentManagerModel, any>>;
    /**
     *
     * @summary Reactivate ContentManager. (Auth roles: Admin,Manager)
     * @param {ContentManagersApiApiV1ContentmanagersContentManagerIdReactivatePutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ContentManagersApi
     */
    apiV1ContentmanagersContentManagerIdReactivatePut(requestParameters: ContentManagersApiApiV1ContentmanagersContentManagerIdReactivatePutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get all ContentManagers. (Auth roles: Admin,Manager)
     * @param {ContentManagersApiApiV1ContentmanagersGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ContentManagersApi
     */
    apiV1ContentmanagersGet(requestParameters?: ContentManagersApiApiV1ContentmanagersGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ContentManagersModel, any>>;
    /**
     *
     * @summary Create a ContentManager. (Auth roles: Admin,Manager)
     * @param {ContentManagersApiApiV1ContentmanagersPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ContentManagersApi
     */
    apiV1ContentmanagersPost(requestParameters?: ContentManagersApiApiV1ContentmanagersPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ContentManagerModel, any>>;
}
//# sourceMappingURL=content-managers-api.d.ts.map