/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { CreateCurationCommand } from '../models';
import { CurationModel } from '../models';
import { CurationsModel } from '../models';
import { TranslateCurationCommand } from '../models';
import { UpdateCurationCommand } from '../models';
/**
 * CurationsApi - axios parameter creator
 * @export
 */
export declare const CurationsApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Delete CurationItem (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdDelete: (curationId: string, isPermanent?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get Curation by id (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdGet: (curationId: string, languageCode?: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update Curation. (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {UpdateCurationCommand} [updateCurationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdPut: (curationId: string, updateCurationCommand?: UpdateCurationCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Reactivate Curation. (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdReactivatePut: (curationId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Revalidate CurationItem (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdRevalidatePost: (curationId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Translate curation (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {TranslateCurationCommand} [translateCurationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdTranslatePost: (curationId: string, translateCurationCommand?: TranslateCurationCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all Curations (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} specialtyTypeId
     * @param {string} [languageCode]
     * @param {string} [serarchTerm]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsGet: (countryId: string, specialtyTypeId: string, languageCode?: string, serarchTerm?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a Curation. (Auth policies: RequireManagerRole)
     * @param {CreateCurationCommand} [createCurationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsPost: (createCurationCommand?: CreateCurationCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * CurationsApi - functional programming interface
 * @export
 */
export declare const CurationsApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Delete CurationItem (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdDelete(curationId: string, isPermanent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get Curation by id (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdGet(curationId: string, languageCode?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CurationModel>>;
    /**
     *
     * @summary Update Curation. (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {UpdateCurationCommand} [updateCurationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdPut(curationId: string, updateCurationCommand?: UpdateCurationCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CurationModel>>;
    /**
     *
     * @summary Reactivate Curation. (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdReactivatePut(curationId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Revalidate CurationItem (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdRevalidatePost(curationId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Translate curation (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {TranslateCurationCommand} [translateCurationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdTranslatePost(curationId: string, translateCurationCommand?: TranslateCurationCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get all Curations (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} specialtyTypeId
     * @param {string} [languageCode]
     * @param {string} [serarchTerm]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsGet(countryId: string, specialtyTypeId: string, languageCode?: string, serarchTerm?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CurationsModel>>;
    /**
     *
     * @summary Create a Curation. (Auth policies: RequireManagerRole)
     * @param {CreateCurationCommand} [createCurationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsPost(createCurationCommand?: CreateCurationCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CurationModel>>;
};
/**
 * CurationsApi - factory interface
 * @export
 */
export declare const CurationsApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Delete CurationItem (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdDelete(curationId: string, isPermanent?: boolean, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get Curation by id (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdGet(curationId: string, languageCode?: string, options?: any): AxiosPromise<CurationModel>;
    /**
     *
     * @summary Update Curation. (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {UpdateCurationCommand} [updateCurationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdPut(curationId: string, updateCurationCommand?: UpdateCurationCommand, options?: any): AxiosPromise<CurationModel>;
    /**
     *
     * @summary Reactivate Curation. (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdReactivatePut(curationId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Revalidate CurationItem (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdRevalidatePost(curationId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Translate curation (Auth policies: RequireManagerRole)
     * @param {string} curationId
     * @param {TranslateCurationCommand} [translateCurationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsCurationIdTranslatePost(curationId: string, translateCurationCommand?: TranslateCurationCommand, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get all Curations (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} specialtyTypeId
     * @param {string} [languageCode]
     * @param {string} [serarchTerm]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsGet(countryId: string, specialtyTypeId: string, languageCode?: string, serarchTerm?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<CurationsModel>;
    /**
     *
     * @summary Create a Curation. (Auth policies: RequireManagerRole)
     * @param {CreateCurationCommand} [createCurationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CurationsPost(createCurationCommand?: CreateCurationCommand, options?: any): AxiosPromise<CurationModel>;
};
/**
 * Request parameters for apiV1CurationsCurationIdDelete operation in CurationsApi.
 * @export
 * @interface CurationsApiApiV1CurationsCurationIdDeleteRequest
 */
export interface CurationsApiApiV1CurationsCurationIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof CurationsApiApiV1CurationsCurationIdDelete
     */
    readonly curationId: string;
    /**
     *
     * @type {boolean}
     * @memberof CurationsApiApiV1CurationsCurationIdDelete
     */
    readonly isPermanent?: boolean;
}
/**
 * Request parameters for apiV1CurationsCurationIdGet operation in CurationsApi.
 * @export
 * @interface CurationsApiApiV1CurationsCurationIdGetRequest
 */
export interface CurationsApiApiV1CurationsCurationIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof CurationsApiApiV1CurationsCurationIdGet
     */
    readonly curationId: string;
    /**
     *
     * @type {string}
     * @memberof CurationsApiApiV1CurationsCurationIdGet
     */
    readonly languageCode?: string;
}
/**
 * Request parameters for apiV1CurationsCurationIdPut operation in CurationsApi.
 * @export
 * @interface CurationsApiApiV1CurationsCurationIdPutRequest
 */
export interface CurationsApiApiV1CurationsCurationIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof CurationsApiApiV1CurationsCurationIdPut
     */
    readonly curationId: string;
    /**
     *
     * @type {UpdateCurationCommand}
     * @memberof CurationsApiApiV1CurationsCurationIdPut
     */
    readonly updateCurationCommand?: UpdateCurationCommand;
}
/**
 * Request parameters for apiV1CurationsCurationIdReactivatePut operation in CurationsApi.
 * @export
 * @interface CurationsApiApiV1CurationsCurationIdReactivatePutRequest
 */
export interface CurationsApiApiV1CurationsCurationIdReactivatePutRequest {
    /**
     *
     * @type {string}
     * @memberof CurationsApiApiV1CurationsCurationIdReactivatePut
     */
    readonly curationId: string;
}
/**
 * Request parameters for apiV1CurationsCurationIdRevalidatePost operation in CurationsApi.
 * @export
 * @interface CurationsApiApiV1CurationsCurationIdRevalidatePostRequest
 */
export interface CurationsApiApiV1CurationsCurationIdRevalidatePostRequest {
    /**
     *
     * @type {string}
     * @memberof CurationsApiApiV1CurationsCurationIdRevalidatePost
     */
    readonly curationId: string;
}
/**
 * Request parameters for apiV1CurationsCurationIdTranslatePost operation in CurationsApi.
 * @export
 * @interface CurationsApiApiV1CurationsCurationIdTranslatePostRequest
 */
export interface CurationsApiApiV1CurationsCurationIdTranslatePostRequest {
    /**
     *
     * @type {string}
     * @memberof CurationsApiApiV1CurationsCurationIdTranslatePost
     */
    readonly curationId: string;
    /**
     *
     * @type {TranslateCurationCommand}
     * @memberof CurationsApiApiV1CurationsCurationIdTranslatePost
     */
    readonly translateCurationCommand?: TranslateCurationCommand;
}
/**
 * Request parameters for apiV1CurationsGet operation in CurationsApi.
 * @export
 * @interface CurationsApiApiV1CurationsGetRequest
 */
export interface CurationsApiApiV1CurationsGetRequest {
    /**
     *
     * @type {string}
     * @memberof CurationsApiApiV1CurationsGet
     */
    readonly countryId: string;
    /**
     *
     * @type {string}
     * @memberof CurationsApiApiV1CurationsGet
     */
    readonly specialtyTypeId: string;
    /**
     *
     * @type {string}
     * @memberof CurationsApiApiV1CurationsGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {string}
     * @memberof CurationsApiApiV1CurationsGet
     */
    readonly serarchTerm?: string;
    /**
     *
     * @type {boolean}
     * @memberof CurationsApiApiV1CurationsGet
     */
    readonly showHidden?: boolean;
    /**
     *
     * @type {number}
     * @memberof CurationsApiApiV1CurationsGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof CurationsApiApiV1CurationsGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof CurationsApiApiV1CurationsGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1CurationsPost operation in CurationsApi.
 * @export
 * @interface CurationsApiApiV1CurationsPostRequest
 */
export interface CurationsApiApiV1CurationsPostRequest {
    /**
     *
     * @type {CreateCurationCommand}
     * @memberof CurationsApiApiV1CurationsPost
     */
    readonly createCurationCommand?: CreateCurationCommand;
}
/**
 * CurationsApi - object-oriented interface
 * @export
 * @class CurationsApi
 * @extends {BaseAPI}
 */
export declare class CurationsApi extends BaseAPI {
    /**
     *
     * @summary Delete CurationItem (Auth policies: RequireManagerRole)
     * @param {CurationsApiApiV1CurationsCurationIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CurationsApi
     */
    apiV1CurationsCurationIdDelete(requestParameters: CurationsApiApiV1CurationsCurationIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get Curation by id (Auth policies: RequireManagerRole)
     * @param {CurationsApiApiV1CurationsCurationIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CurationsApi
     */
    apiV1CurationsCurationIdGet(requestParameters: CurationsApiApiV1CurationsCurationIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CurationModel, any>>;
    /**
     *
     * @summary Update Curation. (Auth policies: RequireManagerRole)
     * @param {CurationsApiApiV1CurationsCurationIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CurationsApi
     */
    apiV1CurationsCurationIdPut(requestParameters: CurationsApiApiV1CurationsCurationIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CurationModel, any>>;
    /**
     *
     * @summary Reactivate Curation. (Auth policies: RequireManagerRole)
     * @param {CurationsApiApiV1CurationsCurationIdReactivatePutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CurationsApi
     */
    apiV1CurationsCurationIdReactivatePut(requestParameters: CurationsApiApiV1CurationsCurationIdReactivatePutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Revalidate CurationItem (Auth policies: RequireManagerRole)
     * @param {CurationsApiApiV1CurationsCurationIdRevalidatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CurationsApi
     */
    apiV1CurationsCurationIdRevalidatePost(requestParameters: CurationsApiApiV1CurationsCurationIdRevalidatePostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Translate curation (Auth policies: RequireManagerRole)
     * @param {CurationsApiApiV1CurationsCurationIdTranslatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CurationsApi
     */
    apiV1CurationsCurationIdTranslatePost(requestParameters: CurationsApiApiV1CurationsCurationIdTranslatePostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get all Curations (Auth policies: RequireManagerRole)
     * @param {CurationsApiApiV1CurationsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CurationsApi
     */
    apiV1CurationsGet(requestParameters: CurationsApiApiV1CurationsGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CurationsModel, any>>;
    /**
     *
     * @summary Create a Curation. (Auth policies: RequireManagerRole)
     * @param {CurationsApiApiV1CurationsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CurationsApi
     */
    apiV1CurationsPost(requestParameters?: CurationsApiApiV1CurationsPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CurationModel, any>>;
}
//# sourceMappingURL=curations-api.d.ts.map