/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { CreateDoctorCertificateCommand } from '../models';
import { CreateDoctorCommand } from '../models';
import { CreateDoctorEducationCommand } from '../models';
import { CreateDoctorLanguageCommand } from '../models';
import { CreateDoctorPortfolioCommand } from '../models';
import { CreateDoctorSpecialtyCommand } from '../models';
import { CreateMediaCommand } from '../models';
import { DoctorCertificateModel } from '../models';
import { DoctorCertificateSortingCommand } from '../models';
import { DoctorCertificatesModel } from '../models';
import { DoctorEducationModel } from '../models';
import { DoctorEducationSortingCommand } from '../models';
import { DoctorEducationsModel } from '../models';
import { DoctorLanguageModel } from '../models';
import { DoctorLanguagesModel } from '../models';
import { DoctorModel } from '../models';
import { DoctorPortfolioModel } from '../models';
import { DoctorPortfoliosModel } from '../models';
import { DoctorSpecialtiesModel } from '../models';
import { DoctorSpecialtyModel } from '../models';
import { DoctorsModel } from '../models';
import { DoctorsSimpleModel } from '../models';
import { Gender } from '../models';
import { MediaModel } from '../models';
import { MediaType } from '../models';
import { MediasModel } from '../models';
import { SortingResultModel } from '../models';
import { UpdateDoctorCertificateCommand } from '../models';
import { UpdateDoctorCommand } from '../models';
import { UpdateDoctorEducationCommand } from '../models';
import { UpdateDoctorLanguageCommand } from '../models';
import { UpdateDoctorPortfolioCommand } from '../models';
import { UpdateDoctorSpecialtyCommand } from '../models';
import { UpdateMediaCommand } from '../models';
/**
 * DoctorsApi - axios parameter creator
 * @export
 */
export declare const DoctorsApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Delete DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} certificateId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesCertificateIdDelete: (doctorId: string, certificateId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} certificateId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesCertificateIdGet: (doctorId: string, certificateId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} certificateId
     * @param {UpdateDoctorCertificateCommand} [updateDoctorCertificateCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesCertificateIdPut: (doctorId: string, certificateId: string, updateDoctorCertificateCommand?: UpdateDoctorCertificateCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [doctorName]
     * @param {string} [certificateId]
     * @param {string} [certificate]
     * @param {Date} [activeFrom]
     * @param {Date} [activeTo]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesGet: (doctorId: string, doctorName?: string, certificateId?: string, certificate?: string, activeFrom?: Date, activeTo?: Date, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorCertificateCommand} [createDoctorCertificateCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesPost: (doctorId: string, createDoctorCertificateCommand?: CreateDoctorCertificateCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Batch for doctor certificates sorting (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {DoctorCertificateSortingCommand} [doctorCertificateSortingCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesSortPut: (doctorId: string, doctorCertificateSortingCommand?: DoctorCertificateSortingCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete Doctor. (Auth policies: RequireLocalManagerRole)
     * @param {string} doctorId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdDelete: (doctorId: string, isPermanent?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete DoctorEducation (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} educationId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsEducationIdDelete: (doctorId: string, educationId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get DoctorEducation. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} educationId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsEducationIdGet: (doctorId: string, educationId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update DoctorEducation. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} educationId
     * @param {UpdateDoctorEducationCommand} [updateDoctorEducationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsEducationIdPut: (doctorId: string, educationId: string, updateDoctorEducationCommand?: UpdateDoctorEducationCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all DoctorEducations. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [doctorName]
     * @param {string} [educationId]
     * @param {string} [institution]
     * @param {string} [qualification]
     * @param {Date} [graduationDate]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsGet: (doctorId: string, doctorName?: string, educationId?: string, institution?: string, qualification?: string, graduationDate?: Date, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create DoctorEducation. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorEducationCommand} [createDoctorEducationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsPost: (doctorId: string, createDoctorEducationCommand?: CreateDoctorEducationCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Batch for doctor educations sorting (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {DoctorEducationSortingCommand} [doctorEducationSortingCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsSortPut: (doctorId: string, doctorEducationSortingCommand?: DoctorEducationSortingCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get doctor (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdGet: (doctorId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all DoctorLanguages. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [languageCode]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesGet: (doctorId: string, languageCode?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete DoctorLanguage (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesLanguageCodeDelete: (doctorId: string, languageCode: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get DoctorLanguage. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesLanguageCodeGet: (doctorId: string, languageCode: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update DoctorLanguage. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} languageCode
     * @param {UpdateDoctorLanguageCommand} [updateDoctorLanguageCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesLanguageCodePut: (doctorId: string, languageCode: string, updateDoctorLanguageCommand?: UpdateDoctorLanguageCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create DoctorLanguage. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorLanguageCommand} [createDoctorLanguageCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesPost: (doctorId: string, createDoctorLanguageCommand?: CreateDoctorLanguageCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all DoctorMedias. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasGet: (doctorId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete DoctorMedia (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasMediaIdDelete: (doctorId: string, mediaId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get DoctorMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasMediaIdGet: (doctorId: string, mediaId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update DoctorMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasMediaIdPut: (doctorId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create DoctorMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasPost: (doctorId: string, createMediaCommand?: CreateMediaCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get All DoctorPortfolios (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [doctorName]
     * @param {string} [portfolioId]
     * @param {string} [name]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosGet: (doctorId: string, doctorName?: string, portfolioId?: string, name?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} portfolioId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosPortfolioIdDelete: (doctorId: string, portfolioId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} portfolioId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosPortfolioIdGet: (doctorId: string, portfolioId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} portfolioId
     * @param {UpdateDoctorPortfolioCommand} [updateDoctorPortfolioCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosPortfolioIdPut: (doctorId: string, portfolioId: string, updateDoctorPortfolioCommand?: UpdateDoctorPortfolioCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorPortfolioCommand} [createDoctorPortfolioCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosPost: (doctorId: string, createDoctorPortfolioCommand?: CreateDoctorPortfolioCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update Doctor. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {UpdateDoctorCommand} [updateDoctorCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPut: (doctorId: string, updateDoctorCommand?: UpdateDoctorCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete Doctor. (Auth policies: RequireLocalManagerRole)
     * @param {string} doctorId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdReactivatePut: (doctorId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Revalidate doctor (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdRevalidatePost: (doctorId: string, includeCurrent?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get All DoctorSpecialties. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [specialtyId]
     * @param {string} [specialtyName]
     * @param {string} [languageCode]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesGet: (doctorId: string, specialtyId?: string, specialtyName?: string, languageCode?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Link a doctor to a specialty. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorSpecialtyCommand} [createDoctorSpecialtyCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesPost: (doctorId: string, createDoctorSpecialtyCommand?: CreateDoctorSpecialtyCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove link between the doctor and the specialty. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} specialtyId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdDelete: (doctorId: string, specialtyId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get DoctorSpecialty (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} specialtyId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdGet: (doctorId: string, specialtyId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update DoctorSpecialty. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} specialtyId
     * @param {UpdateDoctorSpecialtyCommand} [updateDoctorSpecialtyCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdPut: (doctorId: string, specialtyId: string, updateDoctorSpecialtyCommand?: UpdateDoctorSpecialtyCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all Doctors. (Auth policies: RequireDoctorRole)
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {Array<string>} [ids]
     * @param {string} [specialtyId]
     * @param {boolean} [consultationEnabled]
     * @param {string} [id]
     * @param {string} [fullname]
     * @param {string} [email]
     * @param {Gender} [gender]
     * @param {Date} [dateOfBirth]
     * @param {Date} [created]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsGet: (hospitalId?: string, hospitalName?: string, ids?: Array<string>, specialtyId?: string, consultationEnabled?: boolean, id?: string, fullname?: string, email?: string, gender?: Gender, dateOfBirth?: Date, created?: Date, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a Doctor. (Auth policies: RequireLocalManagerRole)
     * @param {CreateDoctorCommand} [createDoctorCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsPost: (createDoctorCommand?: CreateDoctorCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all Doctors. (Auth policies: RequireDoctorRole)
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {Array<string>} [ids]
     * @param {string} [specialtyId]
     * @param {boolean} [consultationEnabled]
     * @param {string} [id]
     * @param {string} [fullname]
     * @param {string} [email]
     * @param {Gender} [gender]
     * @param {Date} [dateOfBirth]
     * @param {Date} [created]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsSimpleGet: (hospitalId?: string, hospitalName?: string, ids?: Array<string>, specialtyId?: string, consultationEnabled?: boolean, id?: string, fullname?: string, email?: string, gender?: Gender, dateOfBirth?: Date, created?: Date, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * DoctorsApi - functional programming interface
 * @export
 */
export declare const DoctorsApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Delete DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} certificateId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesCertificateIdDelete(doctorId: string, certificateId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} certificateId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesCertificateIdGet(doctorId: string, certificateId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorCertificateModel>>;
    /**
     *
     * @summary Update DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} certificateId
     * @param {UpdateDoctorCertificateCommand} [updateDoctorCertificateCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesCertificateIdPut(doctorId: string, certificateId: string, updateDoctorCertificateCommand?: UpdateDoctorCertificateCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorCertificateModel>>;
    /**
     *
     * @summary Delete DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [doctorName]
     * @param {string} [certificateId]
     * @param {string} [certificate]
     * @param {Date} [activeFrom]
     * @param {Date} [activeTo]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesGet(doctorId: string, doctorName?: string, certificateId?: string, certificate?: string, activeFrom?: Date, activeTo?: Date, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorCertificatesModel>>;
    /**
     *
     * @summary Create DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorCertificateCommand} [createDoctorCertificateCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesPost(doctorId: string, createDoctorCertificateCommand?: CreateDoctorCertificateCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorCertificateModel>>;
    /**
     *
     * @summary Batch for doctor certificates sorting (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {DoctorCertificateSortingCommand} [doctorCertificateSortingCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesSortPut(doctorId: string, doctorCertificateSortingCommand?: DoctorCertificateSortingCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SortingResultModel>>;
    /**
     *
     * @summary Delete Doctor. (Auth policies: RequireLocalManagerRole)
     * @param {string} doctorId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdDelete(doctorId: string, isPermanent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Delete DoctorEducation (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} educationId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsEducationIdDelete(doctorId: string, educationId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get DoctorEducation. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} educationId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsEducationIdGet(doctorId: string, educationId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorEducationModel>>;
    /**
     *
     * @summary Update DoctorEducation. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} educationId
     * @param {UpdateDoctorEducationCommand} [updateDoctorEducationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsEducationIdPut(doctorId: string, educationId: string, updateDoctorEducationCommand?: UpdateDoctorEducationCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorEducationModel>>;
    /**
     *
     * @summary Get all DoctorEducations. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [doctorName]
     * @param {string} [educationId]
     * @param {string} [institution]
     * @param {string} [qualification]
     * @param {Date} [graduationDate]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsGet(doctorId: string, doctorName?: string, educationId?: string, institution?: string, qualification?: string, graduationDate?: Date, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorEducationsModel>>;
    /**
     *
     * @summary Create DoctorEducation. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorEducationCommand} [createDoctorEducationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsPost(doctorId: string, createDoctorEducationCommand?: CreateDoctorEducationCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorEducationModel>>;
    /**
     *
     * @summary Batch for doctor educations sorting (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {DoctorEducationSortingCommand} [doctorEducationSortingCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsSortPut(doctorId: string, doctorEducationSortingCommand?: DoctorEducationSortingCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SortingResultModel>>;
    /**
     *
     * @summary Get doctor (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdGet(doctorId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorModel>>;
    /**
     *
     * @summary Get all DoctorLanguages. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [languageCode]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesGet(doctorId: string, languageCode?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorLanguagesModel>>;
    /**
     *
     * @summary Delete DoctorLanguage (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesLanguageCodeDelete(doctorId: string, languageCode: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get DoctorLanguage. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesLanguageCodeGet(doctorId: string, languageCode: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorLanguageModel>>;
    /**
     *
     * @summary Update DoctorLanguage. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} languageCode
     * @param {UpdateDoctorLanguageCommand} [updateDoctorLanguageCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesLanguageCodePut(doctorId: string, languageCode: string, updateDoctorLanguageCommand?: UpdateDoctorLanguageCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Create DoctorLanguage. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorLanguageCommand} [createDoctorLanguageCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesPost(doctorId: string, createDoctorLanguageCommand?: CreateDoctorLanguageCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get all DoctorMedias. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasGet(doctorId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediasModel>>;
    /**
     *
     * @summary Delete DoctorMedia (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasMediaIdDelete(doctorId: string, mediaId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get DoctorMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasMediaIdGet(doctorId: string, mediaId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Update DoctorMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasMediaIdPut(doctorId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Create DoctorMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasPost(doctorId: string, createMediaCommand?: CreateMediaCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Get All DoctorPortfolios (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [doctorName]
     * @param {string} [portfolioId]
     * @param {string} [name]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosGet(doctorId: string, doctorName?: string, portfolioId?: string, name?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorPortfoliosModel>>;
    /**
     *
     * @summary Delete DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} portfolioId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosPortfolioIdDelete(doctorId: string, portfolioId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} portfolioId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosPortfolioIdGet(doctorId: string, portfolioId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorPortfolioModel>>;
    /**
     *
     * @summary Update DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} portfolioId
     * @param {UpdateDoctorPortfolioCommand} [updateDoctorPortfolioCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosPortfolioIdPut(doctorId: string, portfolioId: string, updateDoctorPortfolioCommand?: UpdateDoctorPortfolioCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorPortfolioModel>>;
    /**
     *
     * @summary Create DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorPortfolioCommand} [createDoctorPortfolioCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosPost(doctorId: string, createDoctorPortfolioCommand?: CreateDoctorPortfolioCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorPortfolioModel>>;
    /**
     *
     * @summary Update Doctor. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {UpdateDoctorCommand} [updateDoctorCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPut(doctorId: string, updateDoctorCommand?: UpdateDoctorCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorModel>>;
    /**
     *
     * @summary Delete Doctor. (Auth policies: RequireLocalManagerRole)
     * @param {string} doctorId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdReactivatePut(doctorId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Revalidate doctor (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdRevalidatePost(doctorId: string, includeCurrent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get All DoctorSpecialties. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [specialtyId]
     * @param {string} [specialtyName]
     * @param {string} [languageCode]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesGet(doctorId: string, specialtyId?: string, specialtyName?: string, languageCode?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorSpecialtiesModel>>;
    /**
     *
     * @summary Link a doctor to a specialty. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorSpecialtyCommand} [createDoctorSpecialtyCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesPost(doctorId: string, createDoctorSpecialtyCommand?: CreateDoctorSpecialtyCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorSpecialtyModel>>;
    /**
     *
     * @summary Remove link between the doctor and the specialty. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} specialtyId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdDelete(doctorId: string, specialtyId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get DoctorSpecialty (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} specialtyId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdGet(doctorId: string, specialtyId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorSpecialtyModel>>;
    /**
     *
     * @summary Update DoctorSpecialty. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} specialtyId
     * @param {UpdateDoctorSpecialtyCommand} [updateDoctorSpecialtyCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdPut(doctorId: string, specialtyId: string, updateDoctorSpecialtyCommand?: UpdateDoctorSpecialtyCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorSpecialtyModel>>;
    /**
     *
     * @summary Get all Doctors. (Auth policies: RequireDoctorRole)
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {Array<string>} [ids]
     * @param {string} [specialtyId]
     * @param {boolean} [consultationEnabled]
     * @param {string} [id]
     * @param {string} [fullname]
     * @param {string} [email]
     * @param {Gender} [gender]
     * @param {Date} [dateOfBirth]
     * @param {Date} [created]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsGet(hospitalId?: string, hospitalName?: string, ids?: Array<string>, specialtyId?: string, consultationEnabled?: boolean, id?: string, fullname?: string, email?: string, gender?: Gender, dateOfBirth?: Date, created?: Date, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorsModel>>;
    /**
     *
     * @summary Create a Doctor. (Auth policies: RequireLocalManagerRole)
     * @param {CreateDoctorCommand} [createDoctorCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsPost(createDoctorCommand?: CreateDoctorCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorModel>>;
    /**
     *
     * @summary Get all Doctors. (Auth policies: RequireDoctorRole)
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {Array<string>} [ids]
     * @param {string} [specialtyId]
     * @param {boolean} [consultationEnabled]
     * @param {string} [id]
     * @param {string} [fullname]
     * @param {string} [email]
     * @param {Gender} [gender]
     * @param {Date} [dateOfBirth]
     * @param {Date} [created]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsSimpleGet(hospitalId?: string, hospitalName?: string, ids?: Array<string>, specialtyId?: string, consultationEnabled?: boolean, id?: string, fullname?: string, email?: string, gender?: Gender, dateOfBirth?: Date, created?: Date, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorsSimpleModel>>;
};
/**
 * DoctorsApi - factory interface
 * @export
 */
export declare const DoctorsApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Delete DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} certificateId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesCertificateIdDelete(doctorId: string, certificateId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} certificateId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesCertificateIdGet(doctorId: string, certificateId: string, options?: any): AxiosPromise<DoctorCertificateModel>;
    /**
     *
     * @summary Update DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} certificateId
     * @param {UpdateDoctorCertificateCommand} [updateDoctorCertificateCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesCertificateIdPut(doctorId: string, certificateId: string, updateDoctorCertificateCommand?: UpdateDoctorCertificateCommand, options?: any): AxiosPromise<DoctorCertificateModel>;
    /**
     *
     * @summary Delete DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [doctorName]
     * @param {string} [certificateId]
     * @param {string} [certificate]
     * @param {Date} [activeFrom]
     * @param {Date} [activeTo]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesGet(doctorId: string, doctorName?: string, certificateId?: string, certificate?: string, activeFrom?: Date, activeTo?: Date, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<DoctorCertificatesModel>;
    /**
     *
     * @summary Create DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorCertificateCommand} [createDoctorCertificateCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesPost(doctorId: string, createDoctorCertificateCommand?: CreateDoctorCertificateCommand, options?: any): AxiosPromise<DoctorCertificateModel>;
    /**
     *
     * @summary Batch for doctor certificates sorting (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {DoctorCertificateSortingCommand} [doctorCertificateSortingCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdCertificatesSortPut(doctorId: string, doctorCertificateSortingCommand?: DoctorCertificateSortingCommand, options?: any): AxiosPromise<SortingResultModel>;
    /**
     *
     * @summary Delete Doctor. (Auth policies: RequireLocalManagerRole)
     * @param {string} doctorId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdDelete(doctorId: string, isPermanent?: boolean, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Delete DoctorEducation (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} educationId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsEducationIdDelete(doctorId: string, educationId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get DoctorEducation. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} educationId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsEducationIdGet(doctorId: string, educationId: string, options?: any): AxiosPromise<DoctorEducationModel>;
    /**
     *
     * @summary Update DoctorEducation. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} educationId
     * @param {UpdateDoctorEducationCommand} [updateDoctorEducationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsEducationIdPut(doctorId: string, educationId: string, updateDoctorEducationCommand?: UpdateDoctorEducationCommand, options?: any): AxiosPromise<DoctorEducationModel>;
    /**
     *
     * @summary Get all DoctorEducations. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [doctorName]
     * @param {string} [educationId]
     * @param {string} [institution]
     * @param {string} [qualification]
     * @param {Date} [graduationDate]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsGet(doctorId: string, doctorName?: string, educationId?: string, institution?: string, qualification?: string, graduationDate?: Date, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<DoctorEducationsModel>;
    /**
     *
     * @summary Create DoctorEducation. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorEducationCommand} [createDoctorEducationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsPost(doctorId: string, createDoctorEducationCommand?: CreateDoctorEducationCommand, options?: any): AxiosPromise<DoctorEducationModel>;
    /**
     *
     * @summary Batch for doctor educations sorting (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {DoctorEducationSortingCommand} [doctorEducationSortingCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdEducationsSortPut(doctorId: string, doctorEducationSortingCommand?: DoctorEducationSortingCommand, options?: any): AxiosPromise<SortingResultModel>;
    /**
     *
     * @summary Get doctor (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdGet(doctorId: string, options?: any): AxiosPromise<DoctorModel>;
    /**
     *
     * @summary Get all DoctorLanguages. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [languageCode]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesGet(doctorId: string, languageCode?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<DoctorLanguagesModel>;
    /**
     *
     * @summary Delete DoctorLanguage (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesLanguageCodeDelete(doctorId: string, languageCode: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get DoctorLanguage. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesLanguageCodeGet(doctorId: string, languageCode: string, options?: any): AxiosPromise<DoctorLanguageModel>;
    /**
     *
     * @summary Update DoctorLanguage. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} languageCode
     * @param {UpdateDoctorLanguageCommand} [updateDoctorLanguageCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesLanguageCodePut(doctorId: string, languageCode: string, updateDoctorLanguageCommand?: UpdateDoctorLanguageCommand, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Create DoctorLanguage. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorLanguageCommand} [createDoctorLanguageCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdLanguagesPost(doctorId: string, createDoctorLanguageCommand?: CreateDoctorLanguageCommand, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get all DoctorMedias. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasGet(doctorId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<MediasModel>;
    /**
     *
     * @summary Delete DoctorMedia (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasMediaIdDelete(doctorId: string, mediaId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get DoctorMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasMediaIdGet(doctorId: string, mediaId: string, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Update DoctorMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasMediaIdPut(doctorId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Create DoctorMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdMediasPost(doctorId: string, createMediaCommand?: CreateMediaCommand, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Get All DoctorPortfolios (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [doctorName]
     * @param {string} [portfolioId]
     * @param {string} [name]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosGet(doctorId: string, doctorName?: string, portfolioId?: string, name?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<DoctorPortfoliosModel>;
    /**
     *
     * @summary Delete DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} portfolioId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosPortfolioIdDelete(doctorId: string, portfolioId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} portfolioId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosPortfolioIdGet(doctorId: string, portfolioId: string, options?: any): AxiosPromise<DoctorPortfolioModel>;
    /**
     *
     * @summary Update DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} portfolioId
     * @param {UpdateDoctorPortfolioCommand} [updateDoctorPortfolioCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosPortfolioIdPut(doctorId: string, portfolioId: string, updateDoctorPortfolioCommand?: UpdateDoctorPortfolioCommand, options?: any): AxiosPromise<DoctorPortfolioModel>;
    /**
     *
     * @summary Create DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorPortfolioCommand} [createDoctorPortfolioCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPortfoliosPost(doctorId: string, createDoctorPortfolioCommand?: CreateDoctorPortfolioCommand, options?: any): AxiosPromise<DoctorPortfolioModel>;
    /**
     *
     * @summary Update Doctor. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {UpdateDoctorCommand} [updateDoctorCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdPut(doctorId: string, updateDoctorCommand?: UpdateDoctorCommand, options?: any): AxiosPromise<DoctorModel>;
    /**
     *
     * @summary Delete Doctor. (Auth policies: RequireLocalManagerRole)
     * @param {string} doctorId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdReactivatePut(doctorId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Revalidate doctor (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdRevalidatePost(doctorId: string, includeCurrent?: boolean, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get All DoctorSpecialties. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} [specialtyId]
     * @param {string} [specialtyName]
     * @param {string} [languageCode]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesGet(doctorId: string, specialtyId?: string, specialtyName?: string, languageCode?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<DoctorSpecialtiesModel>;
    /**
     *
     * @summary Link a doctor to a specialty. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {CreateDoctorSpecialtyCommand} [createDoctorSpecialtyCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesPost(doctorId: string, createDoctorSpecialtyCommand?: CreateDoctorSpecialtyCommand, options?: any): AxiosPromise<DoctorSpecialtyModel>;
    /**
     *
     * @summary Remove link between the doctor and the specialty. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} specialtyId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdDelete(doctorId: string, specialtyId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get DoctorSpecialty (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} specialtyId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdGet(doctorId: string, specialtyId: string, options?: any): AxiosPromise<DoctorSpecialtyModel>;
    /**
     *
     * @summary Update DoctorSpecialty. (Auth policies: RequireDoctorRole)
     * @param {string} doctorId
     * @param {string} specialtyId
     * @param {UpdateDoctorSpecialtyCommand} [updateDoctorSpecialtyCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdPut(doctorId: string, specialtyId: string, updateDoctorSpecialtyCommand?: UpdateDoctorSpecialtyCommand, options?: any): AxiosPromise<DoctorSpecialtyModel>;
    /**
     *
     * @summary Get all Doctors. (Auth policies: RequireDoctorRole)
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {Array<string>} [ids]
     * @param {string} [specialtyId]
     * @param {boolean} [consultationEnabled]
     * @param {string} [id]
     * @param {string} [fullname]
     * @param {string} [email]
     * @param {Gender} [gender]
     * @param {Date} [dateOfBirth]
     * @param {Date} [created]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsGet(hospitalId?: string, hospitalName?: string, ids?: Array<string>, specialtyId?: string, consultationEnabled?: boolean, id?: string, fullname?: string, email?: string, gender?: Gender, dateOfBirth?: Date, created?: Date, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<DoctorsModel>;
    /**
     *
     * @summary Create a Doctor. (Auth policies: RequireLocalManagerRole)
     * @param {CreateDoctorCommand} [createDoctorCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsPost(createDoctorCommand?: CreateDoctorCommand, options?: any): AxiosPromise<DoctorModel>;
    /**
     *
     * @summary Get all Doctors. (Auth policies: RequireDoctorRole)
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {Array<string>} [ids]
     * @param {string} [specialtyId]
     * @param {boolean} [consultationEnabled]
     * @param {string} [id]
     * @param {string} [fullname]
     * @param {string} [email]
     * @param {Gender} [gender]
     * @param {Date} [dateOfBirth]
     * @param {Date} [created]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctorsSimpleGet(hospitalId?: string, hospitalName?: string, ids?: Array<string>, specialtyId?: string, consultationEnabled?: boolean, id?: string, fullname?: string, email?: string, gender?: Gender, dateOfBirth?: Date, created?: Date, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<DoctorsSimpleModel>;
};
/**
 * Request parameters for apiV1DoctorsDoctorIdCertificatesCertificateIdDelete operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdDeleteRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdDelete
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdDelete
     */
    readonly certificateId: string;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdCertificatesCertificateIdGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdGetRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdGet
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdGet
     */
    readonly certificateId: string;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdCertificatesCertificateIdPut operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdPutRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdPut
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdPut
     */
    readonly certificateId: string;
    /**
     *
     * @type {UpdateDoctorCertificateCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdPut
     */
    readonly updateDoctorCertificateCommand?: UpdateDoctorCertificateCommand;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdCertificatesGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdCertificatesGetRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdCertificatesGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesGet
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesGet
     */
    readonly doctorName?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesGet
     */
    readonly certificateId?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesGet
     */
    readonly certificate?: string;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesGet
     */
    readonly activeFrom?: Date;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesGet
     */
    readonly activeTo?: Date;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdCertificatesPost operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdCertificatesPostRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdCertificatesPostRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesPost
     */
    readonly doctorId: string;
    /**
     *
     * @type {CreateDoctorCertificateCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesPost
     */
    readonly createDoctorCertificateCommand?: CreateDoctorCertificateCommand;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdCertificatesSortPut operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdCertificatesSortPutRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdCertificatesSortPutRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesSortPut
     */
    readonly doctorId: string;
    /**
     *
     * @type {DoctorCertificateSortingCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdCertificatesSortPut
     */
    readonly doctorCertificateSortingCommand?: DoctorCertificateSortingCommand;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdDelete operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdDeleteRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdDelete
     */
    readonly doctorId: string;
    /**
     *
     * @type {boolean}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdDelete
     */
    readonly isPermanent?: boolean;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdEducationsEducationIdDelete operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdDeleteRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdDelete
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdDelete
     */
    readonly educationId: string;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdEducationsEducationIdGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdGetRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdGet
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdGet
     */
    readonly educationId: string;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdEducationsEducationIdPut operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdPutRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdPut
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdPut
     */
    readonly educationId: string;
    /**
     *
     * @type {UpdateDoctorEducationCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdPut
     */
    readonly updateDoctorEducationCommand?: UpdateDoctorEducationCommand;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdEducationsGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdEducationsGetRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdEducationsGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsGet
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsGet
     */
    readonly doctorName?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsGet
     */
    readonly educationId?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsGet
     */
    readonly institution?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsGet
     */
    readonly qualification?: string;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsGet
     */
    readonly graduationDate?: Date;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdEducationsPost operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdEducationsPostRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdEducationsPostRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsPost
     */
    readonly doctorId: string;
    /**
     *
     * @type {CreateDoctorEducationCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsPost
     */
    readonly createDoctorEducationCommand?: CreateDoctorEducationCommand;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdEducationsSortPut operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdEducationsSortPutRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdEducationsSortPutRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsSortPut
     */
    readonly doctorId: string;
    /**
     *
     * @type {DoctorEducationSortingCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdEducationsSortPut
     */
    readonly doctorEducationSortingCommand?: DoctorEducationSortingCommand;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdGetRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdGet
     */
    readonly doctorId: string;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdLanguagesGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdLanguagesGetRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdLanguagesGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdLanguagesGet
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdLanguagesGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdLanguagesGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdLanguagesGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdLanguagesGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdLanguagesLanguageCodeDelete operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodeDeleteRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodeDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodeDelete
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodeDelete
     */
    readonly languageCode: string;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdLanguagesLanguageCodeGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodeGetRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodeGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodeGet
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodeGet
     */
    readonly languageCode: string;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdLanguagesLanguageCodePut operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodePutRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodePutRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodePut
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodePut
     */
    readonly languageCode: string;
    /**
     *
     * @type {UpdateDoctorLanguageCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodePut
     */
    readonly updateDoctorLanguageCommand?: UpdateDoctorLanguageCommand;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdLanguagesPost operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdLanguagesPostRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdLanguagesPostRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdLanguagesPost
     */
    readonly doctorId: string;
    /**
     *
     * @type {CreateDoctorLanguageCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdLanguagesPost
     */
    readonly createDoctorLanguageCommand?: CreateDoctorLanguageCommand;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdMediasGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdMediasGetRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdMediasGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasGet
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasGet
     */
    readonly id?: string;
    /**
     *
     * @type {MediaType}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasGet
     */
    readonly mediaType?: MediaType;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdMediasMediaIdDelete operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdDeleteRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdDelete
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdDelete
     */
    readonly mediaId: string;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdMediasMediaIdGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdGetRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdGet
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdGet
     */
    readonly mediaId: string;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdMediasMediaIdPut operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdPutRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdPut
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdPut
     */
    readonly mediaId: string;
    /**
     *
     * @type {UpdateMediaCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdPut
     */
    readonly updateMediaCommand?: UpdateMediaCommand;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdMediasPost operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdMediasPostRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdMediasPostRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasPost
     */
    readonly doctorId: string;
    /**
     *
     * @type {CreateMediaCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdMediasPost
     */
    readonly createMediaCommand?: CreateMediaCommand;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdPortfoliosGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdPortfoliosGetRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdPortfoliosGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosGet
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosGet
     */
    readonly doctorName?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosGet
     */
    readonly portfolioId?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosGet
     */
    readonly name?: string;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdPortfoliosPortfolioIdDelete operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdDeleteRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdDelete
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdDelete
     */
    readonly portfolioId: string;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdPortfoliosPortfolioIdGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdGetRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdGet
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdGet
     */
    readonly portfolioId: string;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdPortfoliosPortfolioIdPut operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdPutRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdPut
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdPut
     */
    readonly portfolioId: string;
    /**
     *
     * @type {UpdateDoctorPortfolioCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdPut
     */
    readonly updateDoctorPortfolioCommand?: UpdateDoctorPortfolioCommand;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdPortfoliosPost operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdPortfoliosPostRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdPortfoliosPostRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosPost
     */
    readonly doctorId: string;
    /**
     *
     * @type {CreateDoctorPortfolioCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPortfoliosPost
     */
    readonly createDoctorPortfolioCommand?: CreateDoctorPortfolioCommand;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdPut operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdPutRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPut
     */
    readonly doctorId: string;
    /**
     *
     * @type {UpdateDoctorCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdPut
     */
    readonly updateDoctorCommand?: UpdateDoctorCommand;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdReactivatePut operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdReactivatePutRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdReactivatePutRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdReactivatePut
     */
    readonly doctorId: string;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdRevalidatePost operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdRevalidatePostRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdRevalidatePostRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdRevalidatePost
     */
    readonly doctorId: string;
    /**
     *
     * @type {boolean}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdRevalidatePost
     */
    readonly includeCurrent?: boolean;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdSpecialtiesGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdSpecialtiesGetRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdSpecialtiesGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesGet
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesGet
     */
    readonly specialtyId?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesGet
     */
    readonly specialtyName?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdSpecialtiesPost operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdSpecialtiesPostRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdSpecialtiesPostRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesPost
     */
    readonly doctorId: string;
    /**
     *
     * @type {CreateDoctorSpecialtyCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesPost
     */
    readonly createDoctorSpecialtyCommand?: CreateDoctorSpecialtyCommand;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdDelete operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdDeleteRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdDelete
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdDelete
     */
    readonly specialtyId: string;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdGetRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdGet
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdGet
     */
    readonly specialtyId: string;
}
/**
 * Request parameters for apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdPut operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdPutRequest
 */
export interface DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdPut
     */
    readonly doctorId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdPut
     */
    readonly specialtyId: string;
    /**
     *
     * @type {UpdateDoctorSpecialtyCommand}
     * @memberof DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdPut
     */
    readonly updateDoctorSpecialtyCommand?: UpdateDoctorSpecialtyCommand;
}
/**
 * Request parameters for apiV1DoctorsGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsGetRequest
 */
export interface DoctorsApiApiV1DoctorsGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly hospitalId?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly hospitalName?: string;
    /**
     *
     * @type {Array<string>}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly ids?: Array<string>;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly specialtyId?: string;
    /**
     *
     * @type {boolean}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly consultationEnabled?: boolean;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly id?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly fullname?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly email?: string;
    /**
     *
     * @type {Gender}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly gender?: Gender;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly dateOfBirth?: Date;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly created?: Date;
    /**
     *
     * @type {boolean}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly showHidden?: boolean;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1DoctorsPost operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsPostRequest
 */
export interface DoctorsApiApiV1DoctorsPostRequest {
    /**
     *
     * @type {CreateDoctorCommand}
     * @memberof DoctorsApiApiV1DoctorsPost
     */
    readonly createDoctorCommand?: CreateDoctorCommand;
}
/**
 * Request parameters for apiV1DoctorsSimpleGet operation in DoctorsApi.
 * @export
 * @interface DoctorsApiApiV1DoctorsSimpleGetRequest
 */
export interface DoctorsApiApiV1DoctorsSimpleGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly hospitalId?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly hospitalName?: string;
    /**
     *
     * @type {Array<string>}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly ids?: Array<string>;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly specialtyId?: string;
    /**
     *
     * @type {boolean}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly consultationEnabled?: boolean;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly id?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly fullname?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly email?: string;
    /**
     *
     * @type {Gender}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly gender?: Gender;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly dateOfBirth?: Date;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly created?: Date;
    /**
     *
     * @type {boolean}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly showHidden?: boolean;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof DoctorsApiApiV1DoctorsSimpleGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * DoctorsApi - object-oriented interface
 * @export
 * @class DoctorsApi
 * @extends {BaseAPI}
 */
export declare class DoctorsApi extends BaseAPI {
    /**
     *
     * @summary Delete DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdCertificatesCertificateIdDelete(requestParameters: DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdCertificatesCertificateIdGet(requestParameters: DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorCertificateModel, any>>;
    /**
     *
     * @summary Update DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdCertificatesCertificateIdPut(requestParameters: DoctorsApiApiV1DoctorsDoctorIdCertificatesCertificateIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorCertificateModel, any>>;
    /**
     *
     * @summary Delete DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdCertificatesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdCertificatesGet(requestParameters: DoctorsApiApiV1DoctorsDoctorIdCertificatesGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorCertificatesModel, any>>;
    /**
     *
     * @summary Create DoctorCertificate. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdCertificatesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdCertificatesPost(requestParameters: DoctorsApiApiV1DoctorsDoctorIdCertificatesPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorCertificateModel, any>>;
    /**
     *
     * @summary Batch for doctor certificates sorting (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdCertificatesSortPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdCertificatesSortPut(requestParameters: DoctorsApiApiV1DoctorsDoctorIdCertificatesSortPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SortingResultModel, any>>;
    /**
     *
     * @summary Delete Doctor. (Auth policies: RequireLocalManagerRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdDelete(requestParameters: DoctorsApiApiV1DoctorsDoctorIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Delete DoctorEducation (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdEducationsEducationIdDelete(requestParameters: DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get DoctorEducation. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdEducationsEducationIdGet(requestParameters: DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorEducationModel, any>>;
    /**
     *
     * @summary Update DoctorEducation. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdEducationsEducationIdPut(requestParameters: DoctorsApiApiV1DoctorsDoctorIdEducationsEducationIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorEducationModel, any>>;
    /**
     *
     * @summary Get all DoctorEducations. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdEducationsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdEducationsGet(requestParameters: DoctorsApiApiV1DoctorsDoctorIdEducationsGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorEducationsModel, any>>;
    /**
     *
     * @summary Create DoctorEducation. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdEducationsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdEducationsPost(requestParameters: DoctorsApiApiV1DoctorsDoctorIdEducationsPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorEducationModel, any>>;
    /**
     *
     * @summary Batch for doctor educations sorting (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdEducationsSortPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdEducationsSortPut(requestParameters: DoctorsApiApiV1DoctorsDoctorIdEducationsSortPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SortingResultModel, any>>;
    /**
     *
     * @summary Get doctor (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdGet(requestParameters: DoctorsApiApiV1DoctorsDoctorIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorModel, any>>;
    /**
     *
     * @summary Get all DoctorLanguages. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdLanguagesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdLanguagesGet(requestParameters: DoctorsApiApiV1DoctorsDoctorIdLanguagesGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorLanguagesModel, any>>;
    /**
     *
     * @summary Delete DoctorLanguage (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodeDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdLanguagesLanguageCodeDelete(requestParameters: DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodeDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get DoctorLanguage. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodeGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdLanguagesLanguageCodeGet(requestParameters: DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodeGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorLanguageModel, any>>;
    /**
     *
     * @summary Update DoctorLanguage. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodePutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdLanguagesLanguageCodePut(requestParameters: DoctorsApiApiV1DoctorsDoctorIdLanguagesLanguageCodePutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Create DoctorLanguage. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdLanguagesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdLanguagesPost(requestParameters: DoctorsApiApiV1DoctorsDoctorIdLanguagesPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get all DoctorMedias. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdMediasGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdMediasGet(requestParameters: DoctorsApiApiV1DoctorsDoctorIdMediasGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediasModel, any>>;
    /**
     *
     * @summary Delete DoctorMedia (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdMediasMediaIdDelete(requestParameters: DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get DoctorMedia. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdMediasMediaIdGet(requestParameters: DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Update DoctorMedia. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdMediasMediaIdPut(requestParameters: DoctorsApiApiV1DoctorsDoctorIdMediasMediaIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Create DoctorMedia. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdMediasPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdMediasPost(requestParameters: DoctorsApiApiV1DoctorsDoctorIdMediasPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Get All DoctorPortfolios (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdPortfoliosGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdPortfoliosGet(requestParameters: DoctorsApiApiV1DoctorsDoctorIdPortfoliosGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorPortfoliosModel, any>>;
    /**
     *
     * @summary Delete DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdPortfoliosPortfolioIdDelete(requestParameters: DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdPortfoliosPortfolioIdGet(requestParameters: DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorPortfolioModel, any>>;
    /**
     *
     * @summary Update DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdPortfoliosPortfolioIdPut(requestParameters: DoctorsApiApiV1DoctorsDoctorIdPortfoliosPortfolioIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorPortfolioModel, any>>;
    /**
     *
     * @summary Create DoctorPortfolio. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdPortfoliosPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdPortfoliosPost(requestParameters: DoctorsApiApiV1DoctorsDoctorIdPortfoliosPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorPortfolioModel, any>>;
    /**
     *
     * @summary Update Doctor. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdPut(requestParameters: DoctorsApiApiV1DoctorsDoctorIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorModel, any>>;
    /**
     *
     * @summary Delete Doctor. (Auth policies: RequireLocalManagerRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdReactivatePutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdReactivatePut(requestParameters: DoctorsApiApiV1DoctorsDoctorIdReactivatePutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Revalidate doctor (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdRevalidatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdRevalidatePost(requestParameters: DoctorsApiApiV1DoctorsDoctorIdRevalidatePostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get All DoctorSpecialties. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdSpecialtiesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdSpecialtiesGet(requestParameters: DoctorsApiApiV1DoctorsDoctorIdSpecialtiesGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorSpecialtiesModel, any>>;
    /**
     *
     * @summary Link a doctor to a specialty. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdSpecialtiesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdSpecialtiesPost(requestParameters: DoctorsApiApiV1DoctorsDoctorIdSpecialtiesPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorSpecialtyModel, any>>;
    /**
     *
     * @summary Remove link between the doctor and the specialty. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdDelete(requestParameters: DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get DoctorSpecialty (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdGet(requestParameters: DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorSpecialtyModel, any>>;
    /**
     *
     * @summary Update DoctorSpecialty. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsDoctorIdSpecialtiesSpecialtyIdPut(requestParameters: DoctorsApiApiV1DoctorsDoctorIdSpecialtiesSpecialtyIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorSpecialtyModel, any>>;
    /**
     *
     * @summary Get all Doctors. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsGet(requestParameters?: DoctorsApiApiV1DoctorsGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorsModel, any>>;
    /**
     *
     * @summary Create a Doctor. (Auth policies: RequireLocalManagerRole)
     * @param {DoctorsApiApiV1DoctorsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsPost(requestParameters?: DoctorsApiApiV1DoctorsPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorModel, any>>;
    /**
     *
     * @summary Get all Doctors. (Auth policies: RequireDoctorRole)
     * @param {DoctorsApiApiV1DoctorsSimpleGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorsApi
     */
    apiV1DoctorsSimpleGet(requestParameters?: DoctorsApiApiV1DoctorsSimpleGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorsSimpleModel, any>>;
}
//# sourceMappingURL=doctors-api.d.ts.map