/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { CreatePrescriptionCommand } from '../models';
import { PrescriptionModel } from '../models';
import { PrescriptionsModel } from '../models';
import { UpdatePrescriptionCommand } from '../models';
/**
 * PrescriptionsApi - axios parameter creator
 * @export
 */
export declare const PrescriptionsApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Get prescriptions (Auth policies: RequireDoctorRole)
     * @param {string} [languageCode]
     * @param {string} [hospitalId]
     * @param {string} [doctorId]
     * @param {string} [doctorAffiliationId]
     * @param {string} [patientId]
     * @param {string} [patientAffiliationId]
     * @param {string} [patientPhoneNumber]
     * @param {string} [patientName]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsGet: (languageCode?: string, hospitalId?: string, doctorId?: string, doctorAffiliationId?: string, patientId?: string, patientAffiliationId?: string, patientPhoneNumber?: string, patientName?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create prescription (Auth policies: RequireDoctorRole)
     * @param {CreatePrescriptionCommand} [createPrescriptionCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPost: (createPrescriptionCommand?: CreatePrescriptionCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Set IsConfirmed of prescription to true (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdConfirmPatch: (prescriptionId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete prescription (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdDelete: (prescriptionId: string, isPermanent?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a prescription by id (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdGet: (prescriptionId: string, languageCode?: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete prexcription pdf file (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdPdfDelete: (prescriptionId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create prescription pdf file (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdPdfPost: (prescriptionId: string, languageCode?: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update prescription (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {UpdatePrescriptionCommand} [updatePrescriptionCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdPut: (prescriptionId: string, updatePrescriptionCommand?: UpdatePrescriptionCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Reactivate prescription (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdReactivatePut: (prescriptionId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Set IsConfirmed of prescription to false  <br>  If pdf file had been generated, pdf file deleted.   (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdUnconfirmPatch: (prescriptionId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * PrescriptionsApi - functional programming interface
 * @export
 */
export declare const PrescriptionsApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Get prescriptions (Auth policies: RequireDoctorRole)
     * @param {string} [languageCode]
     * @param {string} [hospitalId]
     * @param {string} [doctorId]
     * @param {string} [doctorAffiliationId]
     * @param {string} [patientId]
     * @param {string} [patientAffiliationId]
     * @param {string} [patientPhoneNumber]
     * @param {string} [patientName]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsGet(languageCode?: string, hospitalId?: string, doctorId?: string, doctorAffiliationId?: string, patientId?: string, patientAffiliationId?: string, patientPhoneNumber?: string, patientName?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PrescriptionsModel>>;
    /**
     *
     * @summary Create prescription (Auth policies: RequireDoctorRole)
     * @param {CreatePrescriptionCommand} [createPrescriptionCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPost(createPrescriptionCommand?: CreatePrescriptionCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PrescriptionModel>>;
    /**
     *
     * @summary Set IsConfirmed of prescription to true (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdConfirmPatch(prescriptionId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Delete prescription (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdDelete(prescriptionId: string, isPermanent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get a prescription by id (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdGet(prescriptionId: string, languageCode?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PrescriptionModel>>;
    /**
     *
     * @summary Delete prexcription pdf file (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdPdfDelete(prescriptionId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Create prescription pdf file (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdPdfPost(prescriptionId: string, languageCode?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Update prescription (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {UpdatePrescriptionCommand} [updatePrescriptionCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdPut(prescriptionId: string, updatePrescriptionCommand?: UpdatePrescriptionCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PrescriptionModel>>;
    /**
     *
     * @summary Reactivate prescription (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdReactivatePut(prescriptionId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Set IsConfirmed of prescription to false  <br>  If pdf file had been generated, pdf file deleted.   (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdUnconfirmPatch(prescriptionId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
};
/**
 * PrescriptionsApi - factory interface
 * @export
 */
export declare const PrescriptionsApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Get prescriptions (Auth policies: RequireDoctorRole)
     * @param {string} [languageCode]
     * @param {string} [hospitalId]
     * @param {string} [doctorId]
     * @param {string} [doctorAffiliationId]
     * @param {string} [patientId]
     * @param {string} [patientAffiliationId]
     * @param {string} [patientPhoneNumber]
     * @param {string} [patientName]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsGet(languageCode?: string, hospitalId?: string, doctorId?: string, doctorAffiliationId?: string, patientId?: string, patientAffiliationId?: string, patientPhoneNumber?: string, patientName?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<PrescriptionsModel>;
    /**
     *
     * @summary Create prescription (Auth policies: RequireDoctorRole)
     * @param {CreatePrescriptionCommand} [createPrescriptionCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPost(createPrescriptionCommand?: CreatePrescriptionCommand, options?: any): AxiosPromise<PrescriptionModel>;
    /**
     *
     * @summary Set IsConfirmed of prescription to true (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdConfirmPatch(prescriptionId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Delete prescription (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdDelete(prescriptionId: string, isPermanent?: boolean, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get a prescription by id (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdGet(prescriptionId: string, languageCode?: string, options?: any): AxiosPromise<PrescriptionModel>;
    /**
     *
     * @summary Delete prexcription pdf file (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdPdfDelete(prescriptionId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Create prescription pdf file (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdPdfPost(prescriptionId: string, languageCode?: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Update prescription (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {UpdatePrescriptionCommand} [updatePrescriptionCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdPut(prescriptionId: string, updatePrescriptionCommand?: UpdatePrescriptionCommand, options?: any): AxiosPromise<PrescriptionModel>;
    /**
     *
     * @summary Reactivate prescription (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdReactivatePut(prescriptionId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Set IsConfirmed of prescription to false  <br>  If pdf file had been generated, pdf file deleted.   (Auth policies: RequireDoctorRole)
     * @param {string} prescriptionId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1PrescriptionsPrescriptionIdUnconfirmPatch(prescriptionId: string, options?: any): AxiosPromise<boolean>;
};
/**
 * Request parameters for apiV1PrescriptionsGet operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsGetRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsGetRequest {
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly hospitalId?: string;
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly doctorId?: string;
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly doctorAffiliationId?: string;
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly patientId?: string;
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly patientAffiliationId?: string;
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly patientPhoneNumber?: string;
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly patientName?: string;
    /**
     *
     * @type {boolean}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly showHidden?: boolean;
    /**
     *
     * @type {number}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1PrescriptionsPost operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPostRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPostRequest {
    /**
     *
     * @type {CreatePrescriptionCommand}
     * @memberof PrescriptionsApiApiV1PrescriptionsPost
     */
    readonly createPrescriptionCommand?: CreatePrescriptionCommand;
}
/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdConfirmPatch operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdConfirmPatchRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdConfirmPatchRequest {
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdConfirmPatch
     */
    readonly prescriptionId: string;
}
/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdDelete operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdDeleteRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdDelete
     */
    readonly prescriptionId: string;
    /**
     *
     * @type {boolean}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdDelete
     */
    readonly isPermanent?: boolean;
}
/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdGet operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdGetRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdGet
     */
    readonly prescriptionId: string;
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdGet
     */
    readonly languageCode?: string;
}
/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdPdfDelete operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfDeleteRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfDelete
     */
    readonly prescriptionId: string;
}
/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdPdfPost operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfPostRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfPostRequest {
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfPost
     */
    readonly prescriptionId: string;
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfPost
     */
    readonly languageCode?: string;
}
/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdPut operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdPutRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdPut
     */
    readonly prescriptionId: string;
    /**
     *
     * @type {UpdatePrescriptionCommand}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdPut
     */
    readonly updatePrescriptionCommand?: UpdatePrescriptionCommand;
}
/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdReactivatePut operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdReactivatePutRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdReactivatePutRequest {
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdReactivatePut
     */
    readonly prescriptionId: string;
}
/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdUnconfirmPatch operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdUnconfirmPatchRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdUnconfirmPatchRequest {
    /**
     *
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdUnconfirmPatch
     */
    readonly prescriptionId: string;
}
/**
 * PrescriptionsApi - object-oriented interface
 * @export
 * @class PrescriptionsApi
 * @extends {BaseAPI}
 */
export declare class PrescriptionsApi extends BaseAPI {
    /**
     *
     * @summary Get prescriptions (Auth policies: RequireDoctorRole)
     * @param {PrescriptionsApiApiV1PrescriptionsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    apiV1PrescriptionsGet(requestParameters?: PrescriptionsApiApiV1PrescriptionsGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<PrescriptionsModel, any>>;
    /**
     *
     * @summary Create prescription (Auth policies: RequireDoctorRole)
     * @param {PrescriptionsApiApiV1PrescriptionsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    apiV1PrescriptionsPost(requestParameters?: PrescriptionsApiApiV1PrescriptionsPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<PrescriptionModel, any>>;
    /**
     *
     * @summary Set IsConfirmed of prescription to true (Auth policies: RequireDoctorRole)
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdConfirmPatchRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    apiV1PrescriptionsPrescriptionIdConfirmPatch(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdConfirmPatchRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Delete prescription (Auth policies: RequireDoctorRole)
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    apiV1PrescriptionsPrescriptionIdDelete(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get a prescription by id (Auth policies: RequireDoctorRole)
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    apiV1PrescriptionsPrescriptionIdGet(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<PrescriptionModel, any>>;
    /**
     *
     * @summary Delete prexcription pdf file (Auth policies: RequireDoctorRole)
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    apiV1PrescriptionsPrescriptionIdPdfDelete(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Create prescription pdf file (Auth policies: RequireDoctorRole)
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    apiV1PrescriptionsPrescriptionIdPdfPost(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Update prescription (Auth policies: RequireDoctorRole)
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    apiV1PrescriptionsPrescriptionIdPut(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<PrescriptionModel, any>>;
    /**
     *
     * @summary Reactivate prescription (Auth policies: RequireDoctorRole)
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdReactivatePutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    apiV1PrescriptionsPrescriptionIdReactivatePut(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdReactivatePutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Set IsConfirmed of prescription to false  <br>  If pdf file had been generated, pdf file deleted.   (Auth policies: RequireDoctorRole)
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdUnconfirmPatchRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    apiV1PrescriptionsPrescriptionIdUnconfirmPatch(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdUnconfirmPatchRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
}
//# sourceMappingURL=prescriptions-api.d.ts.map