/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { SaveSearchCurationsCommand } from '../models';
import { SearchCurationItemModel } from '../models';
/**
 * SearchCurationsApi - axios parameter creator
 * @export
 */
export declare const SearchCurationsApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Get all SearchCurationItems (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodeGet: (languageCode: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete SearchCurationItem (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodeIdDelete: (languageCode: string, id: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get SearchCurationItem by id (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodeIdGet: (languageCode: string, id: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get SearchCurationItems by parent id (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {string} parentId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodeParentIdSubitemsGet: (languageCode: string, parentId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Save SearchCurationItem (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {SaveSearchCurationsCommand} [saveSearchCurationsCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodePost: (languageCode: string, saveSearchCurationsCommand?: SaveSearchCurationsCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Revalidate searchCurationItem (Auth policies: RequireManagerRole)
     * @param {string} slug
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsSlugRevalidatePost: (slug: string, languageCode?: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * SearchCurationsApi - functional programming interface
 * @export
 */
export declare const SearchCurationsApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Get all SearchCurationItems (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodeGet(languageCode: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<SearchCurationItemModel>>>;
    /**
     *
     * @summary Delete SearchCurationItem (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodeIdDelete(languageCode: string, id: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get SearchCurationItem by id (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodeIdGet(languageCode: string, id: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SearchCurationItemModel>>;
    /**
     *
     * @summary Get SearchCurationItems by parent id (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {string} parentId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodeParentIdSubitemsGet(languageCode: string, parentId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<SearchCurationItemModel>>>;
    /**
     *
     * @summary Save SearchCurationItem (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {SaveSearchCurationsCommand} [saveSearchCurationsCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodePost(languageCode: string, saveSearchCurationsCommand?: SaveSearchCurationsCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SearchCurationItemModel>>;
    /**
     *
     * @summary Revalidate searchCurationItem (Auth policies: RequireManagerRole)
     * @param {string} slug
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsSlugRevalidatePost(slug: string, languageCode?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
};
/**
 * SearchCurationsApi - factory interface
 * @export
 */
export declare const SearchCurationsApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Get all SearchCurationItems (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodeGet(languageCode: string, options?: any): AxiosPromise<Array<SearchCurationItemModel>>;
    /**
     *
     * @summary Delete SearchCurationItem (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodeIdDelete(languageCode: string, id: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get SearchCurationItem by id (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodeIdGet(languageCode: string, id: string, options?: any): AxiosPromise<SearchCurationItemModel>;
    /**
     *
     * @summary Get SearchCurationItems by parent id (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {string} parentId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodeParentIdSubitemsGet(languageCode: string, parentId: string, options?: any): AxiosPromise<Array<SearchCurationItemModel>>;
    /**
     *
     * @summary Save SearchCurationItem (Auth policies: RequireManagerRole)
     * @param {string} languageCode
     * @param {SaveSearchCurationsCommand} [saveSearchCurationsCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsLanguageCodePost(languageCode: string, saveSearchCurationsCommand?: SaveSearchCurationsCommand, options?: any): AxiosPromise<SearchCurationItemModel>;
    /**
     *
     * @summary Revalidate searchCurationItem (Auth policies: RequireManagerRole)
     * @param {string} slug
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SearchcurationsSlugRevalidatePost(slug: string, languageCode?: string, options?: any): AxiosPromise<boolean>;
};
/**
 * Request parameters for apiV1SearchcurationsLanguageCodeGet operation in SearchCurationsApi.
 * @export
 * @interface SearchCurationsApiApiV1SearchcurationsLanguageCodeGetRequest
 */
export interface SearchCurationsApiApiV1SearchcurationsLanguageCodeGetRequest {
    /**
     *
     * @type {string}
     * @memberof SearchCurationsApiApiV1SearchcurationsLanguageCodeGet
     */
    readonly languageCode: string;
}
/**
 * Request parameters for apiV1SearchcurationsLanguageCodeIdDelete operation in SearchCurationsApi.
 * @export
 * @interface SearchCurationsApiApiV1SearchcurationsLanguageCodeIdDeleteRequest
 */
export interface SearchCurationsApiApiV1SearchcurationsLanguageCodeIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof SearchCurationsApiApiV1SearchcurationsLanguageCodeIdDelete
     */
    readonly languageCode: string;
    /**
     *
     * @type {string}
     * @memberof SearchCurationsApiApiV1SearchcurationsLanguageCodeIdDelete
     */
    readonly id: string;
}
/**
 * Request parameters for apiV1SearchcurationsLanguageCodeIdGet operation in SearchCurationsApi.
 * @export
 * @interface SearchCurationsApiApiV1SearchcurationsLanguageCodeIdGetRequest
 */
export interface SearchCurationsApiApiV1SearchcurationsLanguageCodeIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof SearchCurationsApiApiV1SearchcurationsLanguageCodeIdGet
     */
    readonly languageCode: string;
    /**
     *
     * @type {string}
     * @memberof SearchCurationsApiApiV1SearchcurationsLanguageCodeIdGet
     */
    readonly id: string;
}
/**
 * Request parameters for apiV1SearchcurationsLanguageCodeParentIdSubitemsGet operation in SearchCurationsApi.
 * @export
 * @interface SearchCurationsApiApiV1SearchcurationsLanguageCodeParentIdSubitemsGetRequest
 */
export interface SearchCurationsApiApiV1SearchcurationsLanguageCodeParentIdSubitemsGetRequest {
    /**
     *
     * @type {string}
     * @memberof SearchCurationsApiApiV1SearchcurationsLanguageCodeParentIdSubitemsGet
     */
    readonly languageCode: string;
    /**
     *
     * @type {string}
     * @memberof SearchCurationsApiApiV1SearchcurationsLanguageCodeParentIdSubitemsGet
     */
    readonly parentId: string;
}
/**
 * Request parameters for apiV1SearchcurationsLanguageCodePost operation in SearchCurationsApi.
 * @export
 * @interface SearchCurationsApiApiV1SearchcurationsLanguageCodePostRequest
 */
export interface SearchCurationsApiApiV1SearchcurationsLanguageCodePostRequest {
    /**
     *
     * @type {string}
     * @memberof SearchCurationsApiApiV1SearchcurationsLanguageCodePost
     */
    readonly languageCode: string;
    /**
     *
     * @type {SaveSearchCurationsCommand}
     * @memberof SearchCurationsApiApiV1SearchcurationsLanguageCodePost
     */
    readonly saveSearchCurationsCommand?: SaveSearchCurationsCommand;
}
/**
 * Request parameters for apiV1SearchcurationsSlugRevalidatePost operation in SearchCurationsApi.
 * @export
 * @interface SearchCurationsApiApiV1SearchcurationsSlugRevalidatePostRequest
 */
export interface SearchCurationsApiApiV1SearchcurationsSlugRevalidatePostRequest {
    /**
     *
     * @type {string}
     * @memberof SearchCurationsApiApiV1SearchcurationsSlugRevalidatePost
     */
    readonly slug: string;
    /**
     *
     * @type {string}
     * @memberof SearchCurationsApiApiV1SearchcurationsSlugRevalidatePost
     */
    readonly languageCode?: string;
}
/**
 * SearchCurationsApi - object-oriented interface
 * @export
 * @class SearchCurationsApi
 * @extends {BaseAPI}
 */
export declare class SearchCurationsApi extends BaseAPI {
    /**
     *
     * @summary Get all SearchCurationItems (Auth policies: RequireManagerRole)
     * @param {SearchCurationsApiApiV1SearchcurationsLanguageCodeGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SearchCurationsApi
     */
    apiV1SearchcurationsLanguageCodeGet(requestParameters: SearchCurationsApiApiV1SearchcurationsLanguageCodeGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SearchCurationItemModel[], any>>;
    /**
     *
     * @summary Delete SearchCurationItem (Auth policies: RequireManagerRole)
     * @param {SearchCurationsApiApiV1SearchcurationsLanguageCodeIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SearchCurationsApi
     */
    apiV1SearchcurationsLanguageCodeIdDelete(requestParameters: SearchCurationsApiApiV1SearchcurationsLanguageCodeIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get SearchCurationItem by id (Auth policies: RequireManagerRole)
     * @param {SearchCurationsApiApiV1SearchcurationsLanguageCodeIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SearchCurationsApi
     */
    apiV1SearchcurationsLanguageCodeIdGet(requestParameters: SearchCurationsApiApiV1SearchcurationsLanguageCodeIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SearchCurationItemModel, any>>;
    /**
     *
     * @summary Get SearchCurationItems by parent id (Auth policies: RequireManagerRole)
     * @param {SearchCurationsApiApiV1SearchcurationsLanguageCodeParentIdSubitemsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SearchCurationsApi
     */
    apiV1SearchcurationsLanguageCodeParentIdSubitemsGet(requestParameters: SearchCurationsApiApiV1SearchcurationsLanguageCodeParentIdSubitemsGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SearchCurationItemModel[], any>>;
    /**
     *
     * @summary Save SearchCurationItem (Auth policies: RequireManagerRole)
     * @param {SearchCurationsApiApiV1SearchcurationsLanguageCodePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SearchCurationsApi
     */
    apiV1SearchcurationsLanguageCodePost(requestParameters: SearchCurationsApiApiV1SearchcurationsLanguageCodePostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SearchCurationItemModel, any>>;
    /**
     *
     * @summary Revalidate searchCurationItem (Auth policies: RequireManagerRole)
     * @param {SearchCurationsApiApiV1SearchcurationsSlugRevalidatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SearchCurationsApi
     */
    apiV1SearchcurationsSlugRevalidatePost(requestParameters: SearchCurationsApiApiV1SearchcurationsSlugRevalidatePostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
}
//# sourceMappingURL=search-curations-api.d.ts.map